import fernandoVisitorSet.RegAllocVisitor;

import joeq.Class.jq_Class;
import joeq.Class.jq_InstanceMethod;
import joeq.Main.Helper;

public class GenGraph {

    public static void main(String args[]) {

        if(args.length < 1) {
            System.out.println("Sintaxe: java GenGraph file.class");
            System.exit(1);
        } else {
            // declaration and initialization of variables:
            int aux = args[1].compareToIgnoreCase("true");
            boolean isSSA = (aux == 0);
            aux = args[2].compareToIgnoreCase("true");
            boolean isMCS = (aux == 0);
            int numRegs = Integer.parseInt(args[3]);
            RegAllocVisitor mp = new RegAllocVisitor(isSSA, isMCS, numRegs, true);

            // execution of register allocation:
            jq_Class cl = (jq_Class)Helper.load(args[0]);
            jq_InstanceMethod[] mList = cl.getDeclaredInstanceMethods();
            for(int j = 0; j < mList.length; j++) {
                Helper.runPass(mList[j], mp);
            }
        }
    }

}
