import fernandoVisitorSet.RegAllocVisitor;

import joeq.Class.jq_Class;
import joeq.Class.jq_InstanceMethod;
import joeq.Main.Helper;

public class PrintStats {

    public static void main(String args[]) {

        if(args.length < 4) {
            System.out.println("Sintaxe: java PrintStats file.class isSSA isMCS num_regs");
            System.exit(1);
        } else {
            // declaration and initialization of variables:
            int aux = args[1].compareToIgnoreCase("true");
            boolean isSSA = (aux == 0);
            aux = args[2].compareToIgnoreCase("true");
            boolean isMCS = (aux == 0);
            int numRegs = Integer.parseInt(args[3]);
            RegAllocVisitor mp = new RegAllocVisitor(isSSA, isMCS, numRegs, false);

            // execution of register allocation:
            try {
                jq_Class cl = (jq_Class)Helper.load(args[0]);
                jq_InstanceMethod[] mList = cl.getDeclaredInstanceMethods();
                for(int j = 0; j < mList.length; j++) {
                    mp.setClassName(cl.getName());
                    Helper.runPass(mList[j], mp);
                }
            } catch (Exception e) {
                System.err.println("Error in: " + args[0]);
                e.printStackTrace();
            }
        }
    }

}
