import java.io.*;

/**
 * This class generates a shell script from a list generated by
 * <CODE>ls -Rmp1 dir/</CODE>. Redirect the result of the command
 * to a file, and invoke this class on the file just obtained.
 */
public class ResultCounter {

    public static void main(String args[]) {

        if(args.length < 1) {
            System.err.println("Sintaxe: java ResultCounter list");
        }

        try {
            BufferedReader in = new BufferedReader(new FileReader(args[0]));

            int success=0, non_chordal=0, non_colorable=0;

            String line = in.readLine();

            for(int i = 0; i < line.length(); i++)
                switch(line.charAt(i)) {
                    case '!':
                        success++;
                    break;
                    case '#':
                        non_chordal++;
                    break;
                    case '*':
                        non_colorable++;
                    break;
                }

            System.out.println("Results:");
            System.out.println("Success:" + success);
            System.out.println("Non-chordal graph:" + non_chordal);
            System.out.println("Non-colorable graph:" + non_colorable);
            System.out.println("--------------------------");
            System.out.println("Non-chordal/success: " + ((double)non_chordal/(double)success));
        } catch (IOException e) {
            e.printStackTrace();
        }

    }

}
