import java.io.*;

/**
 * This class generates a shell script from a list generated by
 * <CODE>ls -Rmp1 dir/</CODE>. Redirect the result of the command
 * to a file, and invoke this class on the file just obtained.
 */
public class ScriptGen {

    public static void main(String args[]) {

        if(args.length < 1) {
            System.err.println("Sintaxe: java ScriptGen list");
        }

        try {
            BufferedReader in = new BufferedReader(new FileReader(args[0]));

            String baseName = null;
            String line = in.readLine();
            int index = 1;
            while (line != null) {
                if(line.length() > 0) {
                    if(line.charAt(line.length() - 1) == ':')
                        baseName = line.substring(0, line.length() - 1) + '/';
                    else if(line.charAt(line.length() - 1) != '/') {
                        String className = line.substring(0, line.length() - 6);
                        System.out.println("files[" + (index++) + "]=\"" + baseName + className + "\"");
                    }
                }
                line = in.readLine();
            }
        } catch (IOException e) {
            e.printStackTrace();
        }

    }

}
